﻿
<div class="modal fade" data-backdrop="static" data-keyboard="false" id="StaffModal" tabindex="-1" role="dialog" aria-labelledby="StaffModal" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div id="divLoadingModal"></div>
        <div class="modal-content">
            <div class="modal-header clearfix">
                <button type="button" onclick="function close(){window.location.reload(true)};close()" class="btn btn-danger btn-xs pull-right" data-dismiss="modal"><span class="glyphicon glyphicon-remove"></span></button>
                <h4 class="modal-title text-center" style="color: darkblue;"><b>@Resources.Content.ManageStaff</b></h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-6">
                        <input id="staffid" name="staffid" type="text" style="display: none;" disabled="disabled" value="" class="form-control" />
                        <div class="form-group">
                            <label for="staffname">@Resources.Content.Name</label>
                            <input id="staffname" name="staffname" placeholder="Enter Staff Name" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                        <div class="form-group">
                            <label for="staffnamekh">@Resources.Content.NameKh</label>
                            <input id="staffnamekh" name="staffnamekh" placeholder="Enter Staff Name Khmer" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                        <div class="form-group">
                            <label for="sex">@Resources.Content.Sex</label>
                            <select id="sex" name="sex" class="form-control input-sm" style="min-width: 100%">
                                <option value="Male">@Resources.Content.Male</option>
                                <option value="Female">@Resources.Content.Female</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="phone">@Resources.Content.Phone</label>
                            <input id="phone" name="phone" placeholder="Enter Staff Name Khmer" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                        <div class="form-group">
                            <label for="dob">@Resources.Content.DOB</label>
                            <input id="dob" name="dob" placeholder="Enter Staff Name" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                        <div class="form-group">
                            <label for="identityno">@Resources.Content.SSN</label>
                            <input id="identityno" name="identityno" placeholder="Enter Identity No" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <img class="center img-responsive img-thumbnail" id="photo" src="~/Images/no_image.png" style="width:200px;height:200px" />
                        </div>
                        <div class="form-group">
                            <label>@Resources.Content.Photo</label>
                            <input onchange="readURL(this);" type="file" id="file" />
                            <input type="hidden" value="" id="file_old" />
                        </div>
                        <div class="form-group">
                            <label for="position">@Resources.Content.Position</label>
                            <select class="form-control input-sm" id="position">
                                @foreach (var position in Model.Positions)
                                {
                                    <option value=@position.id>@position.positionname</option>
                                }
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="email">@Resources.Content.Email</label>
                            <input id="email" name="email" placeholder="Enter Email" type="email" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label for="address">@Resources.Content.Address</label>
                            <input id="address" name="address" placeholder="Enter Staff Name Khmer" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <div class="row">
                    <div class="col-md-12">
                        <button type="button" id="btnTest" onclick="function close(){window.location.reload(true)};close()"class="btn btn-info btn-danger pull-right btn-sm" style="margin-left:10px;width:100px"><span class="glyphicon glyphicon-remove"></span> @Resources.Content.Close</button>
                        <button type="button" id="btnSaveStaff" onclick="SaveStaffAction()" class="btn btn-info pull-right btn-sm" value="Save" style="width:100px"><span class="glyphicon glyphicon-save"></span> @Resources.Content.Save</button>
                        <button type="button" id="btnUpdateStaff" onclick="UpdateStaffAction()" class="btn btn-success pull-right btn-sm" value="Update" style="width:100px"><span class="glyphicon glyphicon-refresh"></span> @Resources.Content.Update</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    function SaveStaffAction() {
        var data = new FormData();
        data.append("positionid", $("#position").val());
        data.append("name", $("#staffname").val());
        data.append("namekh", $("#staffnamekh").val());
        data.append("sex", $("#sex").val());
        data.append("phone", $("#phone").val());
        data.append("dob", $("#dob").val());
        data.append("address", $("#address").val());
        data.append("email", $("#email").val());
        data.append("identityno", $("#identityno").val());
        var files = $("#file").get(0).files;
        if (files.length > 0) {
            data.append("photo", files[0]);
        }
        $.ajax({
            type: "POST",
            url: "/api/staffs",
            contentType: false,
            processData: false,
            data: data,
            success: function (result) {
                toastr.success("Insert record successfully.", "Server Response");
                tableStaff.ajax.reload();
                window.location.reload(true);
            },
            error: function (error) {
                console.log(error);
                toastr.error("Record Already Exists!.", "Server Response");
            }
        });
    }

    function UpdateStaffAction() {
        var data = new FormData();
        data.append("positionid", $("#position").val());
        data.append("name", $("#staffname").val());
        data.append("namekh", $("#staffnamekh").val());
        data.append("sex", $("#sex").val());
        data.append("phone", $("#phone").val());
        data.append("dob", $("#dob").val());
        data.append("address", $("#address").val());
        data.append("email", $("#email").val());
        data.append("identityno", $("#identityno").val());
        data.append("file_old", $("#file_old").val());
        var files = $("#file").get(0).files;
        if (files.length > 0) {
            data.append("photo", files[0]);
        }
        $.ajax({
            type: "PUT",
            url: "/api/staffs/" + $('#staffid').val(),
            contentType: false,
            processData: false,
            data: data,
            success: function (result) {
                toastr.success("Update record successfully.", "Server Response");
                tableStaff.ajax.reload();
                window.location.reload(true);
            },
            error: function (error) {
                console.log(error);
                toastr.error("Record Already Exists!.", "Server Response");
            }
        });
    }
</script>